Package org.eclipse.birt.chart.model.component

# Interface ComponentFactory

All Superinterfaces:
  `org.eclipse.emf.ecore.EFactory`, `org.eclipse.emf.ecore.EModelElement`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `ComponentFactoryImpl`

public interface ComponentFactory extends org.eclipse.emf.ecore.EFactory
The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  - `ComponentPackage`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ComponentFactory`
`eINSTANCE`
The singleton instance of the factory.

## Method Summary

Modifier and Type
Method
Description
`Axis`
`createAxis()`
Returns a new object of class 'Axis'.
`ChartPreferences`
`createChartPreferences()`
Deprecated.
only reserved for compatibility
`CurveFitting`
`createCurveFitting()`
Returns a new object of class 'Curve Fitting'.
`Dial`
`createDial()`
Returns a new object of class 'Dial'.
`DialRegion`
`createDialRegion()`
Returns a new object of class 'Dial Region'.
`Grid`
`createGrid()`
Returns a new object of class 'Grid'.
`Label`
`createLabel()`
Returns a new object of class 'Label'.
`MarkerLine`
`createMarkerLine()`
Returns a new object of class 'Marker Line'.
`MarkerRange`
`createMarkerRange()`
Returns a new object of class 'Marker Range'.
`Needle`
`createNeedle()`
Returns a new object of class 'Needle'.
`Scale`
`createScale()`
Returns a new object of class 'Scale'.
`Series`
`createSeries()`
Returns a new object of class 'Series'.
`ComponentPackage`
`getComponentPackage()`
Returns the package supported by this factory.

### Methods inherited from interface org.eclipse.emf.ecore.EFactory

`convertToString, create, createFromString, getEPackage, setEPackage`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Field Details

### eINSTANCE

static final ComponentFactory eINSTANCE
The singleton instance of the factory.

## Method Details

### createAxis

Axis createAxis()
Returns a new object of class 'Axis'.

Returns:
  a new object of class 'Axis'.

### createChartPreferences

@Deprecated ChartPreferences createChartPreferences()
Deprecated.
only reserved for compatibility
Returns a new object of class 'Chart Preferences'.

Returns:
  a new object of class 'Chart Preferences'.

### createCurveFitting

CurveFitting createCurveFitting()
Returns a new object of class 'Curve Fitting'.

Returns:
  a new object of class 'Curve Fitting'.

### createDial

Dial createDial()
Returns a new object of class 'Dial'.

Returns:
  a new object of class 'Dial'.

### createDialRegion

DialRegion createDialRegion()
Returns a new object of class 'Dial Region'.

Returns:
  a new object of class 'Dial Region'.

### createGrid

Grid createGrid()
Returns a new object of class 'Grid'.

Returns:
  a new object of class 'Grid'.

### createLabel

Label createLabel()
Returns a new object of class 'Label'.

Returns:
  a new object of class 'Label'.

### createMarkerLine

MarkerLine createMarkerLine()
Returns a new object of class 'Marker Line'.

Returns:
  a new object of class 'Marker Line'.

### createMarkerRange

MarkerRange createMarkerRange()
Returns a new object of class 'Marker Range'.

Returns:
  a new object of class 'Marker Range'.

### createNeedle

Needle createNeedle()
Returns a new object of class 'Needle'.

Returns:
  a new object of class 'Needle'.

### createScale

Scale createScale()
Returns a new object of class 'Scale'.

Returns:
  a new object of class 'Scale'.

### createSeries

Series createSeries()
Returns a new object of class 'Series'.

Returns:
  a new object of class 'Series'.

### getComponentPackage

ComponentPackage getComponentPackage()
Returns the package supported by this factory.

Returns:
  the package supported by this factory.